Bug 983612 - no hardended build
no hardended build
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: irqbalance (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Holasek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 10:37 EDT by Harald Reindl
Modified: 2016-10-04 00:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: irqbalance-1.0.3-10.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 23:34:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2013-07-11 10:37:26 EDT
checksec:
irqbalance    728 Partial RELRO     Canary found           NX enabled    No PIE 

* no "FULL RELRO"
* no PIE

__________________________________________

If your package meets any of the following criteria you MUST enable the PIE compiler flags:

    Your package is long running. This means it's likely to be started and keep running until the machine is rebooted, not start on demand and quit on idle. 

    Your package has suid binaries, or binaries with capabilities. 

    Your package runs as root. 

If your package meets the following criteria you should consider enabling the PIE compiler flags:

    Your package accepts/processes untrusted input.
Comment 1 Fedora Update System 2013-07-26 08:36:47 EDT
irqbalance-1.0.5-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/irqbalance-1.0.5-4.fc19
Comment 2 Harald Reindl 2013-07-26 08:52:22 EDT
thank you!

[root@srv-rhsoft:~]$ rpm -q irqbalance 
irqbalance-1.0.3-10.fc18.x86_64

[root@srv-rhsoft:~]$ hardening-check /usr/sbin/irqbalance
/usr/sbin/irqbalance:
 Position Independent Executable: yes
 Stack protected: yes
 Fortify Source functions: yes (some protected functions found)
 Read-only relocations: yes
 Immediate binding: yes
Comment 3 Fedora Update System 2013-07-26 09:03:31 EDT
irqbalance-1.0.3-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/irqbalance-1.0.3-10.fc18
Comment 4 Fedora Update System 2013-07-26 19:04:40 EDT
Package irqbalance-1.0.3-10.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing irqbalance-1.0.3-10.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13718/irqbalance-1.0.3-10.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-08-01 23:34:59 EDT
irqbalance-1.0.5-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-08-03 20:11:31 EDT
irqbalance-1.0.3-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.